Bug 474485 - Yumex unable to download on a corporate network that resolves external addresses on the proxy only.
Yumex unable to download on a corporate network that resolves external addres...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 19:42 EST by Paul Stimpson
Modified: 2009-12-18 02:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Stimpson 2008-12-03 19:42:10 EST
Description of problem:

System connected to a corporate network that resolves external addresses on the HTTP proxy. Correct proxy address entered into yumex but attempts to download repo info or packages fail.


Version-Release number of selected component (if applicable):

2.0.5

How reproducible:


Steps to Reproduce:
1. Connect machine to corporate network with a DNS that only resolves internal addresses (external name lookups are done on the HTTP proxy)

2. Start yumex

3. Enter HTTP proxy information into yumex preferences, save and exit.

4. Restart yumex
  
Actual results:

All attempts to download repo metadata files via HTTP fail

Expected results:

Successful download.

Additional info:

Have examined the process of fetching the repo data with yumex with Wireshark and compared it to the (successful) fetching of a page over the proxy by Firefox:

Firefox sends a HTTP GET request to the entered proxy which resolves the address and sends back the requested object.

Yumex sends a request for the DNS A record for the mirror server (then the name of the mirror server with the search domain from /etc/resolv.conf appended) the local DNS server specified in /etc/resolv.conf. These requests return NXDOMAIN as the local DNS server only holds records for internal addresses on the corporate LAN. Yumex then reports failure for the repo. 

The correct behaviour on this network is to request the DNS A record for the proxy host entered in yumex's configuration then to send a HTTP GET request for the required object to the IP address returned.
Comment 1 Tim Lauridsen 2008-12-04 05:28:04 EST
I yum working with this proxy setup ?

yumex is using yum for all the real action, and yum uses urlgrabber to get stuff from the network.
Comment 2 Paul Stimpson 2008-12-04 06:16:07 EST
Yum only works when the http-proxy (and also the https-proxy but not sure if that is needed) environment variable is set. 

How does Yumex pass the proxy details to yum?
Comment 3 Tim Lauridsen 2008-12-04 06:27:52 EST
it sets the http_proxy environment variable to the values defined in the preferences.
Comment 4 Paul Stimpson 2008-12-04 06:47:00 EST
If I enter any of the following into the "use proxy" field in yumex preferences all downloads fail:

http://ourproxy.division.ourcompany.com
http://ourproxy.division.ourcompany.com:80
ourproxy.division.ourcompany.com
ourproxy.division.ourcompany.com:80

If I su - then enter the following:

export http_proxy=http://ourproxy.division.ourcompany.com:80
yum install somepackage

The transaction succeeds.
Comment 5 Tim Lauridsen 2009-10-01 11:36:31 EDT
if you are running F11 now, could you retest with yumex-2.9.x

you can find the packages here:

http://timlau.fedorapeople.org/files/yumex/
Comment 6 Bug Zapper 2009-11-18 04:37:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:08:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.